Skip to main content
POST
/
sync
/
trigger
Trigger a sync
curl --request POST \
  --url https://api.nango.dev/sync/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "provider_config_key": "<string>",
  "syncs": [
    "github-issues"
  ],
  "connection_id": "<string>",
  "opts": {
    "reset": true,
    "emptyCache": true
  }
}
'
{
  "success": true
}

Triggering one-off syncs

This is especially useful if you e.g. changed the metadata for the connection and now want to re-import data. Use reset to clear the checkpoint and re-fetch all data, or reset with emptyCache to start completely fresh. See the checkpoints guide for details.

Authorizations

Authorization
string
header
required

The secret key from your Nango environment.

Body

application/json
provider_config_key
string
required

The ID of the integration that you established within Nango.

syncs
required

A list of sync names that you wish to pause. If empty, all syncs are triggered

Sync name

connection_id
string

The ID of the connection. If omitted, the syncs will be triggered for all relevant connections.

opts
object

Options for triggering the sync.

Response

Successfully triggered the sync

success
boolean
required